Summary: Daemon to check system operation
%define version 0.54
%define name rkdet
Name: %{name}
Version: %{version}
Release: 2
Source: http://vancouver-webpages.com/rkdet/%{name}-%{version}.tar.gz
Copyright: Freeware
Packager: Andrew Daviel <andrew@vancouver-webpages.com>
Group: Networking/Daemons

%description
Consult your system manager for details

%prep
%setup -n %{name}-%{version}

%build
echo "You should probably run the configure script (in /usr/src/redhat/BUILD/%{name}-%{version})"
echo "to customise the tool for your site and make it less easy to find"
make 

%install
make install
install -m 700 /usr/bin/md5sum /usr/sbin/%{name}.sm
install -m 700 /bin/ps /usr/sbin/%{name}.ps
install -m 700 /bin/netstat /usr/sbin/%{name}.ns

%pre
[ $1 -gt 1 ] && /etc/rc.d/init.d/%{name} stop
exit 0

%post
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}
#[ $1 -eq 1 ] && /etc/rc.d/init.d/%{name} start
exit 0

%preun
[ $1 -eq 0 ] && /etc/rc.d/init.d/%{name} stop
[ $1 -eq 0 ] && /sbin/chkconfig --del %{name}
exit 0

%postun
[ $1 -eq 1 ] && /etc/rc.d/init.d/%{name} start
exit 0

%files
/usr/sbin/%{name}
/etc/rc.d/init.d/%{name}
/usr/sbin/%{name}.sm
/usr/sbin/%{name}.ps
/usr/sbin/%{name}.ns

%triggerin -- fileutils, findutils, util-linux, inetd, net-tools, textutils, procps
[ $1 -eq 1 -a $2 -eq 1 ] && /etc/rc.d/init.d/%{name} reload
[ $1 -eq 1 -a $2 -eq 2 ] && /etc/rc.d/init.d/%{name} reload
exit 0

%triggerun -- fileutils, findutils, util-linux, inetd, net-tools, textutils, procps
[ $1 -eq 1 -a $2 -eq 0 ] && /etc/rc.d/init.d/%{name} reload
exit 0

%doc Readme
